package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 房屋信息对象 szxc_house_info
 *
 * @author hs
 * @date 2024-03-21
 */
public class SzxcHouseInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 居民id */
    @Excel(name = "居民id")
    private Long ownerId;

    /** 户主姓名 */
    @Excel(name = "户主姓名")
    private String ownerName;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardId;

    /** 小区id */
    @Excel(name = "小区id")
    private Long xqId;

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String houseName;

    /** 楼栋id */
    @Excel(name = "楼栋id")
    private Long buildId;

    /** 楼栋名称 */
    @Excel(name = "楼栋名称")
    private String ldName;

    /** 单元 */
    @Excel(name = "单元")
    private String unit;

    /** 门牌号 */
    @Excel(name = "门牌号")
    private String doorNo;

    /** 房屋类型 */
    @Excel(name = "房屋类型")
    private String houseType;

    /** 房屋面积 */
    @Excel(name = "房屋面积")
    private String houseArea;

    /** 房屋性质 */
    @Excel(name = "房屋性质")
    private String houseProp;

    /** 取暖方式 */
    @Excel(name = "取暖方式")
    private String qnfs;

    /** 厕所类型 */
    @Excel(name = "厕所类型")
    private String toiletType;

    /** 房屋简介 */
    @Excel(name = "房屋简介")
    private String houseIntro;

    /** 房屋照片 */
    @Excel(name = "房屋照片")
    private String housePicture;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setOwnerId(Long ownerId)
    {
        this.ownerId = ownerId;
    }

    public Long getOwnerId()
    {
        return ownerId;
    }
    public void setOwnerName(String ownerName)
    {
        this.ownerName = ownerName;
    }

    public String getOwnerName()
    {
        return ownerName;
    }
    public void setCardId(String cardId)
    {
        this.cardId = cardId;
    }

    public String getCardId()
    {
        return cardId;
    }
    public void setXqId(Long xqId)
    {
        this.xqId = xqId;
    }

    public Long getXqId()
    {
        return xqId;
    }
    public void setHouseName(String houseName)
    {
        this.houseName = houseName;
    }

    public String getHouseName()
    {
        return houseName;
    }
    public void setBuildId(Long buildId)
    {
        this.buildId = buildId;
    }

    public Long getBuildId()
    {
        return buildId;
    }
    public void setLdName(String ldName)
    {
        this.ldName = ldName;
    }

    public String getLdName()
    {
        return ldName;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setDoorNo(String doorNo)
    {
        this.doorNo = doorNo;
    }

    public String getDoorNo()
    {
        return doorNo;
    }
    public void setHouseType(String houseType)
    {
        this.houseType = houseType;
    }

    public String getHouseType()
    {
        return houseType;
    }
    public void setHouseArea(String houseArea)
    {
        this.houseArea = houseArea;
    }

    public String getHouseArea()
    {
        return houseArea;
    }
    public void setHouseProp(String houseProp)
    {
        this.houseProp = houseProp;
    }

    public String getHouseProp()
    {
        return houseProp;
    }
    public void setQnfs(String qnfs)
    {
        this.qnfs = qnfs;
    }

    public String getQnfs()
    {
        return qnfs;
    }
    public void setToiletType(String toiletType)
    {
        this.toiletType = toiletType;
    }

    public String getToiletType()
    {
        return toiletType;
    }
    public void setHouseIntro(String houseIntro)
    {
        this.houseIntro = houseIntro;
    }

    public String getHouseIntro()
    {
        return houseIntro;
    }
    public void setHousePicture(String housePicture)
    {
        this.housePicture = housePicture;
    }

    public String getHousePicture()
    {
        return housePicture;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("ownerId", getOwnerId())
                .append("ownerName", getOwnerName())
                .append("cardId", getCardId())
                .append("xqId", getXqId())
                .append("houseName", getHouseName())
                .append("buildId", getBuildId())
                .append("ldName", getLdName())
                .append("unit", getUnit())
                .append("doorNo", getDoorNo())
                .append("houseType", getHouseType())
                .append("houseArea", getHouseArea())
                .append("houseProp", getHouseProp())
                .append("qnfs", getQnfs())
                .append("toiletType", getToiletType())
                .append("houseIntro", getHouseIntro())
                .append("housePicture", getHousePicture())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
